PRO logarr,logfile,ar
;
;Reading a logfile to an array.
;Logfile format: 1st row: no. of lines
;   then: Frame no.(8), Rot.angle(12), Time-hours(12), rest(18), EOL
;Array: Frame no., Rot.angle, Time-hours
;
print,'opening ',logfile
openr,1,logfile
readf,1,n
n=fix(n)
print,'number of frames:',n
b=bytarr(32)
rest=bytarr(19)                     ; (19) for Unix, (20) for DOS
ar=fltarr(3,n)

for i=0,n-1 do begin
   readu,1,b
   readu,1,rest
   a=string(b)
   ar(0,i)=float(strmid(a,0,8))
   ar(1,i)=float(strmid(a,9,19))
   ar(2,i)=float(strmid(a,20,31))
   print,ar(*,i)
endfor

close,1
END
