pro cinema,logarr,x,y,arr

;logarr - array with seq. nos, time and contrast of images selected
;for the movie (use "vyber.pro")
;x,y = lower left corner coordinates of the selected box.
;subimages 256x256 will be extracted and the 3-dim movie array "arr" created
; start movie by MOVIE,ARR,ORDER=0

;parametros de entrada a modificar con editor

n=512       ;dimension en x
m=512       ;dimension en y
size=256    ;size of subimages

st1='/home1/msobotka/lap93/s10/spo'
st2='.lap'

im1=intarr(n,m,/nozero)
numim=n_elements(logarr(0,*))
arr=intarr(size,size,numim,/nozero)
     
FOR i = 0,numim-1 DO BEGIN
   seq=strtrim(string(fix(logarr(0,i))),1)
   if strlen(seq) eq 3 then seq='0'+ seq
   if strlen(seq) eq 2 then seq='00'+seq
   if strlen(seq) eq 1 then seq='000'+seq

   print,'Now reading image:'
   print,st1+seq+st2
   openr,1,st1+seq+st2
   readu,1,im1
   close,1
   arr(0,0,i)=im1(x:x+size-1,y:y+size-1)
ENDFOR
end
