PRO plotd2i

;Plots of minimum intensity versus effective diameter of pores.
;Data are taken from save file 'ariw' (result of ar2imain.pro)

restore,'ariw'

set_plot,'ps'
device,file='plotd2i.ps',ysize=9,yoffs=15

!p.multi=[0,2,0,0,0]

plot,ari25(1,*),ari25(2,*),psym=4,symsiz=0.7,yra=[0.5,1],xra=[0,10],  $
	title='!4k = 1.55 l!3m',xtitle='D!Beff!N (arcsec) ',ytitle='I!Bmin'
 oplot,ari23(1,*),ari23(2,*),psym=1,symsiz=0.7
plot,arw25(1,*),arw25(2,*),psym=4,symsiz=0.7,yra=[0.5,1],xra=[0,10],  $
	title='!4k = 0.80 l!3m',xtitle='D!Beff!N (arcsec)',ytitle='I!Bmin'
 oplot,arw23(1,*),arw23(2,*),psym=1,symsiz=0.7

!p.multi=0
device,/close

END
