pro filgap

; Filling gap by linear interpolation in time-series 23 of La Palma 95

scam=''
read,'Camera a or b ?: ',scam

st1i='im'+scam+'/'+scam+'_c30Jun95.'
st1o='im'+scam+'/'+scam+'_ser23.'

; First part 144 - 270

for i=144,270 do begin
  sufi=strtrim(i,2)		; input suff.: first = 144, last = 270
  sufo=strtrim(i-143,2)		; output suff.: first = 1, last = 127
  sti=st1i+sufi
  sto=st1o+sufo
  print,'copying  ',sti,'  to  ',sto
  SPAWN,'cp '+sti+' '+sto
endfor

; Second part 271 - 358

for i=271,358 do begin
  sufi=strtrim(i,2)
  sufo=strtrim(i-143+5,2)	; first = 133, last = 220
  sti=st1i+sufi
  sto=st1o+sufo
  print,'copying  ',sti,'  to  ',sto
  SPAWN,'cp '+sti+' '+sto
endfor

; Interpolation of 5 frames ...ser23.[128,129,130,131,132]

a1=intarr(1280,1032)
a2=intarr(1280,1032)
openr,1,st1i+'270'
readu,1,a1
close,1
openr,1,st1i+'271'
readu,1,a2
close,1

for i=1,5 do begin
  a=(float(6-i)*a1+float(i)*a2)/6.
  a=nint(a)
  sufo=strtrim(i+127,2)		; first = 128, last = 132
  print,'storing  ',st1o+sufo
  openw,1,st1o+sufo
  writeu,1,a
  close,1
endfor

end
