FUNCTION gausk,fwhm
;
; Gaussian 1D kernel, taken from SCONVOL.PRO

 std = fwhm/(2.*SQRT(2.*ALOG(2.)))
 width = FIX(std*9.)			;Wings of the gausian.
 IF NOT ODD(width) THEN width = width+1	;Only odd numbers.
 kernel = FINDGEN(width) - width/2
 kernel = EXP(-kernel*kernel/(2.*std^2))	;Kernel.
 kernel = kernel/(std*SQRT(2.*!pi))

RETURN,kernel
END


