PRO seeim2,day,type,num,im
;
; Displays an image (SST data, September 2003)
; and computes sharpness in a selected box
; INPUTS: day = 14, 16, 18, 19, 20   ...date
;	  type = 'gc', 'c6', 'ca'    ...channel
;	  num = seq. number
; ver.2 for flatfielded frames

on_error,1

; paths and filenames

sday=strtrim(fix(day),2)
if type eq 'ca' then reb=3 else reb=2	;down-rebinning factor

pa1='/home/msobotka/data/sst03/'
pa2=type+'_'+sday+'/'
fil=type+'_'+sday+'ffn.'+string(num,format='(I4.4)')
name=pa1+pa2+fil
restore2,pa1+pa2+type+'_'+sday+'lgbest.sav2',log,/swap

print,'Reading:  ',name
restore2,name,im,/swap
si=size(im)
tvw,congrid(im,si(1)/reb,si(2)/reb)
print,log(*,where(log(0,*) eq num))

;selbox,congrid(im,si(1)/reb,si(2)/reb),x1,x2,y1,y2
;print,sharpness(im(x1*reb:x2*reb,y1*reb:y2*reb),4)

END


